# Cinder

# cinder::PolyLine< T > Class Template Reference

`#include <PolyLine.h>`

List of all members.

## Public Types
typedef std::vector< T > ::const_iterator | const_iterator
typedef std::vector< T >::iterator | iterator
## Public Member Functions
| PolyLine ()
| PolyLine (const std::vector< T > &aPoints)
const std::vector< T > & | getPoints () const
std::vector< T > & | getPoints ()
size_t | size () const
void | push_back (const T &v)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
void | setClosed (bool aClosed=true)
bool | isClosed () const
T | getPosition (float t) const
T | getDerivative (float t) const

### template<typename T>
class cinder::PolyLine< T >

## Member Typedef Documentation

template<typename T >

typedef std::vector<T>::const_iterator cinder::PolyLine< T >::const_iterator

template<typename T >

typedef std::vector<T>::iterator cinder::PolyLine< T >::iterator

## Constructor & Destructor Documentation

template<typename T >

cinder::PolyLine< T >::PolyLine | ( |  | ) |

template<typename T >

cinder::PolyLine< T >::PolyLine | ( | const std::vector< T > & | aPoints | ) |

## Member Function Documentation

template<typename T >

const std::vector<T>& cinder::PolyLine< T >::getPoints | ( |  | ) | const

template<typename T >

std::vector<T>& cinder::PolyLine< T >::getPoints | ( |  | ) |

template<typename T >

size_t cinder::PolyLine< T >::size | ( |  | ) | const

template<typename T >

void cinder::PolyLine< T >::push_back | ( | const T & | v | ) |

template<typename T >

iterator cinder::PolyLine< T >::begin | ( |  | ) |

template<typename T >

const_iterator cinder::PolyLine< T >::begin | ( |  | ) | const

template<typename T >

iterator cinder::PolyLine< T >::end | ( |  | ) |

template<typename T >

const_iterator cinder::PolyLine< T >::end | ( |  | ) | const

template<typename T >

void cinder::PolyLine< T >::setClosed | ( | bool | aClosed = `true` | ) |

template<typename T >

bool cinder::PolyLine< T >::isClosed | ( |  | ) | const

template<typename T >

T cinder::PolyLine< T >::getPosition | ( | float | t | ) | const

template<typename T >

T cinder::PolyLine< T >::getDerivative | ( | float | t | ) | const

The documentation for this class was generated from the following files:

- include/cinder/PolyLine.h
- src/cinder/PolyLine.cpp